#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x94,0xEA,0x7F,0x5C,0x86,0x80,0x56,0xFC,0x92,0xE5,0xB1,0x20,
		0xB4,0xCC,0xEF,0xF1,0x45,0xD3,0x01,0x17,0x03,0xFC,0x72,0xA7,
		0x51,0x3F,0xC2,0x7F,0xC1,0x26,0x28,0x24,0x32,0xDE,0xF3,0xF5,
		0xCB,0xF1,0x07,0x90,0x94,0x45,0x07,0xC6,0xC3,0x58,0xCD,0x78,
		0x6C,0xBF,0x5C,0xFD,0xC5,0xF7,0x3F,0xB2,0xAB,0x7F,0x18,0x38,
		0x7A,0x54,0x35,0x1B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
